"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ServerResponse = void 0;
class ServerResponse {
    constructor(ctx) {
        this.isSuccess = true;
        this.ctx = ctx;
    }
    json(data) {
        return Object.getPrototypeOf(this).constructor.JSON_TPL(data, this.isSuccess);
    }
    text(data) {
        return Object.getPrototypeOf(this).constructor.TEXT_TPL(data, this.isSuccess);
    }
    blob(data) {
        return Object.getPrototypeOf(this).constructor.BLOB_TPL(data, this.isSuccess);
    }
    success() {
        this.isSuccess = true;
        return this;
    }
    fail() {
        this.isSuccess = false;
        return this;
    }
}
exports.ServerResponse = ServerResponse;
ServerResponse.TEXT_TPL = (data, isSuccess) => {
    return data;
};
ServerResponse.JSON_TPL = (data, isSuccess) => {
    if (isSuccess) {
        return {
            success: 'true',
            data,
        };
    }
    else {
        return {
            success: 'false',
            message: data || 'fail',
        };
    }
};
ServerResponse.BLOB_TPL = (data, isSuccess) => {
    return data;
};
//# sourceMappingURL=base.js.map