/// <reference types="node" />
/// <reference types="node" />
import { IMidwayContext, ServerSendEventMessage, ServerSendEventStreamOptions, ServerStreamOptions } from '../interface';
import { ServerResponse } from './base';
import { ServerSendEventStream } from './sse';
import { Readable } from 'stream';
import { HttpStreamResponse } from './stream';
export declare class HttpServerResponse<CTX extends IMidwayContext> extends ServerResponse<CTX> {
    constructor(ctx: CTX);
    static FILE_TPL: (data: Readable, isSuccess: boolean) => Readable;
    static SSE_TPL: (data: ServerSendEventMessage) => ServerSendEventMessage;
    static STREAM_TPL: (data: unknown) => unknown;
    status(code: number): this;
    header(key: string, value: string): this;
    headers(headers: Record<string, string>): this;
    json(data: Record<any, any>): any;
    text(data: string): any;
    file(filePath: string, mimeType?: string): any;
    blob(data: Buffer, mimeType?: string): any;
    sse(options?: ServerSendEventStreamOptions): ServerSendEventStream;
    stream(options?: ServerStreamOptions): HttpStreamResponse;
}
//# sourceMappingURL=http.d.ts.map